"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "router", {
  enumerable: true,
  get: function get() {
    return _router.default;
  }
});
Object.defineProperty(exports, "store", {
  enumerable: true,
  get: function get() {
    return _store.default;
  }
});
exports.default = void 0;

var _activator = _interopRequireDefault(require("./activator"));

var _router = _interopRequireDefault(require("./router"));

var _store = _interopRequireDefault(require("./store"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = {
  name: 'vue',
  extensionPoints: {
    'vue.app': {
      type: 'mixin'
    },
    'vue.plugins': {
      type: 'array'
    },
    'vue.options': {
      type: 'array'
    },
    'vue.router.routes': {
      type: 'array'
    },
    'vue.router.hooks': {
      type: 'array'
    },
    'vuex.modules': {
      type: 'array'
    }
  },
  activator: _activator.default
};
exports.default = _default;